{ flake, ... }:
let
  inherit (flake.config.people) user0;
in
{
  sops = {
    defaultSopsFile = ../../../secrets/secrets.yaml;
    validateSopsFiles = false;
    age = {
      keyFile = "/var/lib/sops-nix/key.txt";
      generateKey = false;
    };
    secrets = {
      "ssh/private" = {
        path = "/home/${user0}/.ssh/id_ed25519";
        owner = user0;
      };
      "ssh/public" = {
        path = "/home/${user0}/.ssh/id_ed25519.pub";
        owner = user0;
      };
      "ssh/hosts" = {
        path = "/home/${user0}/.ssh/known_hosts";
        owner = user0;
      };
      # "claude-api-key" = {
      #   path = "/home/${user0}/.config/zed/claude-api-key";
      #   owner = user0;
      # };
    };
  };
}
